용어집 용어 번역 중복
이 오류가 발생하면 API는 409 Conflict을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/glossary-term-translation-taken입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참조하세요.
"<text>"을 저장할 수 없습니다. 용어집에 이 텍스트의 "<targetLocale>" 행이 이미 있습니다. 기존 행을 수정하거나 텍스트를 변경하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 원하는 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
text | string |
targetLocale | string |
예시#
json
{
"detail": "Cannot save \"<text>\". The glossary already holds its row for \"<targetLocale>\". Edit that row instead, or change the text.",
"text": "<text>",
"targetLocale": "<targetLocale>",
"type": "https://lingo.dev/docs/api/errors/glossary-term-translation-taken",
"status": 409,
"title": "Glossary term translation taken"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/glossaries/{glossaryId}/terms/{id}POST /v2/glossaries/{glossaryId}/termsPOST /v2/glossaries/{glossaryId}/terms/create-many